﻿$version=$PSVersionTable.PSVersion.ToString()
if($version-lt'5.1.0'  ){
    Write-Warning -Message ('az Module requires Powershell version 5.1 or higher.'+
    ' Your version is $version. '+
    'Go to https://docs.microsoft.com/en-us/powershell/scripting/install/installing-powershell to install the latest version')
}
else {
    if ($PSVersionTable.PSEdition -eq 'Desktop' -and (Get-Module -Name AzureRM -ListAvailable)) {
        Write-Warning -Message ('Az module not installed. Having both the AzureRM and ' +
          'Az modules installed at the same time is not supported.'+
          'Follow the instructions at '+
          'https://docs.microsoft.com/en-us/powershell/azure/uninstall-az-ps?view=azps-4.3.0#uninstall-azure-powershell-msi'+
          'to remove it before install az Module' )
    }
    else {
        Install-Module -Name Az -AllowClobber -Scope CurrentUser
    }
}