﻿<# 
    NOTE: remove the #» to execute the commands 
    to check and /or install the modules
#>
#	Check you have the Azure Snap-in installed in your environment
        #»Get-InstalledModule -Name Az  
#	If there is no module for az, install it
        #Install-Module -Name Az -AllowClobber -Force
#Load the Azure Snap-in
Import-Module -Name Az 
#Connect to your Azure Account
Connect-AzAccount
#Define the Variables
$resourceGroupName= "<your_Resource_Group>"
$accountName = "<your_Storage_Account_Name>"
$containerName="<your_Container_Name>"
$DataFolder="<path_to_your_local_Data_folder_From_Companion_Content>"
$storageAccount=Get-AzStorageAccount -ResourceGroupName $resourceGroupName -Name $accountName
$storageContext=$storageAccount.Context
$countriesFileName="$DataFolder\covid-data_Countries.json"
Clear-Host
Write-Host "Uploading [Countries] data"
#Upload the Countries file to the Demography folder
$dummy=Set-AzStorageBlobContent `
    -Container $containerName `
    -File $countriesFileName `
    -Blob "Demography\Countries" `
    -Context $storageContext
$Files=get-item "$DataFolder\Daily\*.*"
#Upload all the daily data files to the Daily folder
foreach($oneFile in $Files){
    #Remove innecesary text from the name, leaving only the country code as blob name
    $name=$oneFile.Name.Replace("covid-data_Data.","").Replace(".json","")
    Write-host "Uploading data for [$name]"
    $dummy=Set-AzStorageBlobContent `
        -Container $containerName `
        -File $oneFile `
        -Blob "Daily\$name" `
        -Context $storageContext
}
