use ads
GO
CREATE VIEW dbo.vw_countries AS
SELECT 
    t.CountryCode,
    t.Continent,
    t.Location
FROM
    OPENROWSET(
        BULK 'https://<storage_account_name_here>.dfs.core.windows.net/globaldata/Demography/covid-data_Countries.json',
        FORMAT = 'CSV',
        FIELDQUOTE = '0x0b',
        FIELDTERMINATOR ='0x0b',
        ROWTERMINATOR = '0x0b'
    )
    WITH (jsonContent varchar(MAX)) AS j
    CROSS APPLY OPENJSON (jsonContent) with (
        Code nvarchar(10),
        continent nvarchar(255),
        location nvarchar(255),
        population nvarchar(255),
        population_density decimal(13, 5),
        median_age decimal(13, 5),
        aged_65_older decimal(13, 5),
        aged_70_older decimal(13, 5),
        gdp_per_capita decimal(13, 5),
        cardiovasc_death_rate decimal(13, 5),
        diabetes_prevalence decimal(13, 5),
        handwashing_facilities decimal(13, 5),
        hospital_beds_per_thousand decimal(13, 5),
        life_expectancy decimal(13, 5),
        [data] decimal(13, 5),
        CountryCode nchar(3)
    ) AS t
WHERE
    Continent is not null